#ifndef SHMEM_H
#define SHMEM_H 1
/****************************************************************************

FILE	shmem.h

PURPOSE 
    Function prototypes for memory management. These functions provide "hooks"
    for memory allocation and release.

*****************************************************************************/
/*****************************************************************************                                                                              
 Copyright (c) 1995
      Robert J. Mercier
 Copyright 2000
      Vahur Krouverk

THIS CODE IS SUPPLIED ``AS IS'' WITH NO WARRANTY EXPRESSED
OR IMPLIED.  NO CLAIMS IS MADE TO IT'S SUITABILITY FOR
ANY PURPOSE AND NO RESPONSIBILITY IS ACCEPTED FOR ANY DAMAGES
OF ANY KIND RESULTING FROM IT'S USE.

When (if) this code is included into POV the usual POV legal stuff will apply.

*****************************************************************************/

/* for size_t declaration */
#include <malloc.h>


void * sh_malloc(size_t size);
void sh_free(void *);
void sh_release_mem(void);
char * strsave(char *s);

#endif
