/****************************************************************************
*                   simcloth.h
*
*  This module contains all defines, typedefs, and prototypes for partsys.c.
*   Author: Chris Huff
*
*****************************************************************************/


#ifndef SIMCLOTH_H
#define SIMCLOTH_H


/*****************************************************************************
* Global preprocessor defines
******************************************************************************/

/*****************************************************************************
* Global typedefs
******************************************************************************/

/*****************************************************************************
* Global variables
******************************************************************************/



/*****************************************************************************
* Global functions
******************************************************************************/

int Make_Cloth_Simulation(OBJECT * Object, VECTOR Grav, VECTOR Wind,
                          DBL fric_obj, DBL damp, DBL dt, int nbi,
                          char* input, char* output);

#endif
